

// Initialize the slides array
let slides = document.querySelectorAll('.slide');
let slideIndex = 1;  // Example index to show the second slide

function checkUrlExists(url) {
    return fetch(url, { 
        method: 'HEAD',   // Use HEAD to avoid downloading the entire content
        mode: 'no-cors'   // Set the request mode to 'no-cors'
    })
    .then(response => {
        // When using 'no-cors', you won't be able to access response details, but we can check for the status.
        //console.log('Request sent, response status:', response.status);  // This might not return useful information due to 'no-cors'
        document.getElementById("download").style.display = "block";
        document.getElementById("not").style.display = "none";
        // If you are just interested in whether the request was made, you could assume success if there's no error:
        return true;   // Assume the URL is reachable if no errors occur
    })
    .catch(error => {
        document.getElementById("download").style.display = "none";
        document.getElementById("not").style.display = "block";
        //console.log('Error with the request:', error);
        return false;  // If there's an error, assume the URL doesn't exist
    });
}
function plusSlides(n) {
  showSlides(slideIndex += n);
}
function currentSlide(n) {
  showSlides(slideIndex = n);
}
function showSlides(n) {
  let i;
  let slides = document.getElementsByClassName("mySlides");
  let dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}    
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";  
  }
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active", "");
  }

  if (slides[slideIndex-1]) {
    slides[slideIndex-1].style.display = "block";  
  }
  if (dots[slideIndex-1]) {
    dots[slideIndex-1].className += " active";
  }
}
function calculateTimeDifference(startDateStr) {
    // Parse the start date string (MM/DD/YYYY format)
    const startDate = new Date(startDateStr);
    
    // Get the current date
    const currentDate = new Date();

    // Get the total years, months, and days difference
    let years = currentDate.getFullYear() - startDate.getFullYear();
    let months = currentDate.getMonth() - startDate.getMonth();
    let days = currentDate.getDate() - startDate.getDate();

    // Adjust for month differences if needed
    if (months < 0) {
        years--;
        months += 12;
    }

    // If the number of days is negative, adjust the month difference
    if (days < 0) {
        months--;
        // Adjust the days count
        const lastMonth = new Date(currentDate.getFullYear(), currentDate.getMonth(), 0);
        days += lastMonth.getDate(); // Get the number of days in the last month
    }

    // Determine the appropriate time unit to return
    if (years > 0) {
        return `${years} year${years > 1 ? 's' : ''}`;
    } else if (months > 0) {
        return `${months} month${months > 1 ? 's' : ''}`;
    } else if (days > 0) {
        return `${days} day${days > 1 ? 's' : ''}`;
    } else {
        return 'Less than a day';
    }
}
// This function will be called once the page is loaded
function updateTimeDifference() {
	const startDateInput = "08/07/2024"; // Example start date (MM/DD/YYYY)
	const resultElement = document.getElementById('update');
	
	// Call the calculateTimeDifference function and get the result
	const timeDifference = calculateTimeDifference(startDateInput);
	
	// Update the innerHTML with the result (only the duration)
	resultElement.innerHTML = " ("+timeDifference+" ago).";
}

function scrolltop() {
	window.scroll({
		top: 0, 
		left: 0, 
		behavior: 'smooth'
	});
}
function doscroll(a) {
	window.scroll(0, a);
}
function itemscroll() {
	var s = document.documentElement.scrollTop;
	if (s >= 300) { document.getElementById("newscroll").style.display = "block"; }
	else { document.getElementById("newscroll").style.display = "none"; }
}
function doscroll(a) {
	window.scroll(0, a);
}
function scrollToSection(id) {
	const targetElement = document.getElementById(id);
	window.scrollTo({
		top: targetElement.offsetTop,
		behavior: 'smooth'
	});
}
